module_version: 1.0

var:
  - name: input
    default: aws-s3
  - name: queue_url
  - name: shared_credential_file
  - name: credential_profile_name
  - name: visibility_timeout
  - name: api_timeout
  - name: endpoint
  - name: access_key_id
  - name: secret_access_key
  - name: session_token
  - name: role_arn
  - name: tags
    default: [forwarded]
  - name: process_cloudtrail_logs
    default: true
  - name: process_digest_logs
    default: true
  - name: process_insight_logs
    default: true
  - name: fips_enabled
  - name: max_number_of_messages

ingest_pipeline: ingest/pipeline.yml
input: config/{{.input}}.yml
